#
# spec file for package nodejs-semver
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define base_name semver

Name:           nodejs-semver
Version:        4.3.6
Release:        15.1
Summary:        Semantic version parser
License:        BSD-2-Clause
Group:          Development/Languages/Other
Url:            https://github.com/isaacs/node-semver
Source:         http://registry.npmjs.org/%{base_name}/-/%{base_name}-%{version}.tgz
BuildRequires:  nodejs-packaging
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%nodejs_find_provides_and_requires

%description
The semantic version parser used by npm.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_modulesdir}/%{base_name}
cp -pr bin package.json *.js *.txt \
        %{buildroot}%{nodejs_modulesdir}/%{base_name}/

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%dir %{nodejs_modulesdir}
%{nodejs_modulesdir}/%{base_name}

%changelog
* Sat Jun  6 2015 i@marguerite.su
- update version 4.3.6
* Fri Apr 24 2015 hvogel@suse.com
- Update to version 4.3.3
* Sat Apr  4 2015 dmueller@suse.com
- enable building for all arches
* Sun Feb 15 2015 i@marguerite.su
- use npmjs.org source as specified in source url
* Mon Feb  9 2015 lrupp@suse.de
- update to 4.2.0:
  + inc(pre,id): Only put a single .0 after the id when non-numeric
  + Add support for prerelease identifiers
  + updated readme files
- also package bin/semver
- own the %%%%{nodejs_modulesdir} for 13.1
* Fri Oct 10 2014 jgleissner@suse.com
- update to 4.0.3
* Thu Oct  9 2014 jgleissner@suse.com
- use nodejs-packaging for building
* Sun Sep 21 2014 i@marguerite.su
- format specfile
* Mon Aug 18 2014 jgleissner@suse.com
- Initial build
